require	'mxx_ru/cpp'

require 'oess_1/defs/version'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Dll_target.new( "oess_1/file/prj.rb" ) {

		required_prj( "ace/dll.rb" )
		required_prj( "oess_1/defs/prj.rb" )
		required_prj( "oess_1/io/prj.rb" )

		Oess_1::setup_platform( self )

		target( "oess_file" + Oess_1::VERSION )

		define( "OESS_1__FILE__PRJ" )
		if "tandem_oss" == toolset.tag( "target_os" )
			define( "_XOPEN_SOURCE_EXTENDED" )
		end

		cpp_source( "impl/filetool.cpp" )
		cpp_source( "file.cpp" )
	}
)
